# TODO: what are the differences between cal3d and imvu-cal3d fork? (both included in tarball)
Summary:	3d character animation library
Summary(hu.UTF-8):	3D karakter animáció könyvtára
Summary(pl.UTF-8):	Biblioteka do trójwymiarowej animacji postaci
Name:		cal3d
Version:	0.120
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/mp3butcher/Cal3D/releases
Source0:	https://github.com/mp3butcher/Cal3D/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	8d914c71119a0a988a582c4bc6a24b53
Patch0:		%{name}-fixtag.patch
Patch1:		%{name}-cpp.patch
URL:		https://mp3butcher.github.io/Cal3D/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-dtd31-sgml
BuildRequires:	docbook-utils
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
BuildRequires:	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cal3d is a 3d character animation library written in C++ in a
platform-/graphic API-independent way.

%description -l hu.UTF-8
Cal3d egy C++-ban íródott 3d karakter-animációs könyvtár
platform/grafikus API-független módon.

%description -l pl.UTF-8
Cal3d jest biblioteką do trójwymiarowej animacji postaci napisaną w
C++ w sposób niezależny od architektury.

%package devel
Summary:	Header files for cal3d library
Summary(hu.UTF-8):	Fejléc fájlok a cal3d könyvtárhoz
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki cal3d
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for cal3d library.

%description devel -l hu.UTF-8
Fejléc fájlok a cal3d könyvtárhoz.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki cal3d.

%package apidocs
Summary:	API documentation and guide for cal3d library
Summary(pl.UTF-8):	Dokumentacja i wprowadzenie do biblioteki cal3d
Group:		Documentation

%description apidocs
API documentation and guide for cal3d library.

%description apidocs -l pl.UTF-8
Dokumentacja i wprowadzenie do biblioteki cal3d.

%prep
%setup -q -n Cal3D-%{version}
cd cal3d
#%patch0 -p1
%patch1 -p1

# obsolete macro, UnitTest++ 2 uses pkg-config instead
%{__sed} -i -e '/^AM_USE_UNITTESTCPP/d' configure.in

%build
cd cal3d
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure
%{__make}

cd docs
%{__make} doc-api
%{__make} doc-guide
cd ..
cp -r docs/api/html api

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C cal3d install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcal3d.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc cal3d/{AUTHORS,ChangeLog,README,TODO}
%attr(755,root,root) %{_bindir}/cal3d_converter
%attr(755,root,root) %{_libdir}/libcal3d.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcal3d.so.12
%{_mandir}/man1/cal3d*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcal3d.so
%{_includedir}/cal3d
%{_pkgconfigdir}/cal3d.pc

%files apidocs
%defattr(644,root,root,755)
%doc cal3d/{api,docs/guide}
%changelog
* Sun Mar 22 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cal3d.git;a=log;h=master

* Sun Mar 22 2020 Jakub Bogusz <qboosh@pld-linux.org> 594e956
- missing patch

* Sun Mar 22 2020 Jakub Bogusz <qboosh@pld-linux.org> be9f4a2
- new URLs, updated to 0.12[0]
- removed obsolete string patch
- added cpp patch (fix some null pointer returns)
- separated -apidocs

* Tue May 05 2009 pawelz <pawelz@pld-linux.org> eae1215
- instal soname symlink as %ghost
- execute ldconfig in %post and %postun

* Fri May 01 2009 Zsolt Udvari <uzsolt@pld-linux.org> 57fea3e
- hu summary and descriptions
- please STBR

* Thu Nov 27 2008 Szymon Siwek <sls@pld-linux.org> 9bfe1e3
- BR fixes

* Tue Nov 25 2008 lisu <lisu@pld-linux.org> c3a9420
- use string.h library in certain files

* Tue Nov 25 2008 lisu <lisu@pld-linux.org> be059ff
- added string.patch, now builds

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 84926d0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1d58c74
- converted to UTF-8

* Tue Feb 06 2007 Robert Tomasik <rotom@pld-linux.org> 91b3cd2
- up to 0.11.0
- URL changed
- thx for evil_core

* Fri Feb 17 2006 Jacek Konieczny <jajcus@pld-linux.org> ee7af7f
- Version: 0.10.0
- user guide and modelling docs moved to -devel package (useless for non-developer)

* Sat May 28 2005 zbyniu <zbyniu@pld-linux.org> 8a89e9c
- added BR: scrollkeeper, removed BR: docbook-dtd42-xml

* Sun Dec 19 2004 zbyniu <zbyniu@pld-linux.org> 3a89756
- BR: -docbook-dtd31-sgml, +docbook-dtd42-xml, +gnome-doc-tools, +libstdc++-devel

* Thu Dec 02 2004 Jakub Bogusz <qboosh@pld-linux.org> cfc092b
- (updated) fixtag patch is back

* Thu Dec 02 2004 Jakub Bogusz <qboosh@pld-linux.org> f232372
- updated for last snap

* Sat Oct 16 2004 jpc <jpc@pld-linux.org> b8e4579
- missing BR: docbook-dtd31-sgml

* Tue Jul 20 2004 undefine <undefine@pld-linux.org> 671b834
- update to snap 20040720

* Wed Jun 30 2004 undefine <undefine@pld-linux.org> f941d9f
- update to snapshot 20040629 from cvs

* Mon May 31 2004 krolik <krolik@pld-linux.org> e120cce
- uncomment commentedout doc section in devel package

* Mon May 31 2004 krolik <krolik@pld-linux.org> 6c17b37
- rel. missed ;-)

